### Method

# Gio DBusConnection send_message_with_reply_finish

since: 2.26

#### Declaration [src]

    GDBusMessage*
    g_dbus_connection_send_message_with_reply_finish (
      GDBusConnection* connection,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an operation started with g_dbus_connection_send_message_with_reply().

Note that `error` is only set if a local in-process error occurred. That is to say that the returned `GDBusMessage` object may be of type `G_DBUS_MESSAGE_TYPE_ERROR`. Use `g_dbus_message_to_gerror()` to transcode this to a `GError`.

See this server and client for an example of how to use this low-level API to send and receive UNIX file descriptors.

Available since: 2.26

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to g_dbus_connection_send_message_with_reply().

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GDBusMessage`

A locked `GDBusMessage` or `NULL` if `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.